package com.hwrj.cloud.admin.dao;

import io.lettuce.core.dynamic.annotation.Param;

import java.util.List;
import java.util.Map;

public interface BigScreamDao {
    public Map<String,Object> data1(@Param("id")Long id);

    public List<Map<String,Object>> data2(@Param("compType")String compType);

    /**
     * 获取产品分布信息
     * lym
     * @return
     */
    public List<Map<String,Object>> data4();

    /**
     * 获取产品种植面积分布信息
     * lym
     * @return
     */
    public List<Map<String,Object>> data5(@org.apache.ibatis.annotations.Param("productName") String productName);

    public List<String> data6();

    public List<String> data7();

    public List<String> data8();

    public List<String> data9();
}
